GuideLab API

List adjustment reasons

Returns all stock adjustment reasons for the current organization, ordered by sort order and label. Optionally includes inactive reasons.

GET
/inventory/adjustment-reasons

Returns all stock adjustment reasons for the current organization, ordered by sort order and label. Optionally includes inactive reasons.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

includeInactive?string

Set to 'true' to include inactive reasons

Response Body

application/json

curl -X GET "https://example.com/inventory/adjustment-reasons"
{  "data": [    {      "id": "string",      "organizationId": "string",      "key": "string",      "label": "string",      "isSystem": true,      "isActive": true,      "sortOrder": 0,      "createdAt": "string",      "updatedAt": "string"    }  ]}
Empty